# PIP: PICoutManipulators Namespace Reference

PICoutManipulators Namespace Reference

Namespace contains enums controlled PICout. More...

## Enumerations

enum | PICoutSpecialChar { Null, NewLine, Tab, Esc, Quote }
| Enum contains special characters. More...
enum | PICoutAction { Flush, Backspace, ShowCursor, HideCursor, ClearScreen, SaveContol, RestoreControl }
| Enum contains immediate action. More...
enum | PICoutControl { AddNone = 0x0, AddSpaces = 0x1, AddNewLine = 0x2, AddQuotes = 0x4, AddAll = 0xFFFFFFFF }
| Enum contains control of PICout. More...

enum

PICoutFormat {
Bin = 0x01, Oct = 0x02, Dec = 0x04, Hex = 0x08,
Bold = 0x10 , Underline = 0x80, Blink = 0x100, Black = 0x400,
Red = 0x800, Green = 0x1000, Blue = 0x2000, Yellow = 0x4000,
Magenta = 0x8000, Cyan = 0x10000, White = 0x20000, BackBlack = 0x40000,
BackRed = 0x80000, BackGreen = 0x100000, BackBlue = 0x200000, BackYellow = 0x400000,
BackMagenta = 0x800000, BackCyan = 0x1000000, BackWhite = 0x2000000, Default = 0x4000000
}

| Enum contains output format. More...

## Detailed Description

Namespace contains enums controlled PICout.

## Enumeration Type Documentation

enum PICoutManipulators::PICoutSpecialChar

Enum contains special characters.

Enumerator
Null | Null-character, '\0'
NewLine | New line character, '\n'
Tab | Tab character, '\t'
Esc | Escape character, '\e'
Quote | Quote character, '"'

enum PICoutManipulators::PICoutAction

Enum contains immediate action.

Enumerator
Flush | Flush the output
Backspace | Remove last symbol
ShowCursor | Show cursor
HideCursor | Hide cursor
ClearScreen | Clear the screen
SaveContol | Save control flags, equivalent to saveControl()
RestoreControl | Restore control flags, equivalent to restoreControl()

enum PICoutManipulators::PICoutControl

Enum contains control of PICout.

Enumerator
AddNone | No controls
AddSpaces | Spaces will be appear after each output
AddNewLine | New line will be appear after all output
AddQuotes | Each string will be quoted
AddAll | All controls

enum PICoutManipulators::PICoutFormat

Enum contains output format.

Enumerator
Bin | Binary representation of integers
Oct | Octal representation of integers
Dec | Decimal representation of integers
Hex | Hexadecimal representation of integers
Bold | Bold
Underline | Underline
Blink | Blink
Black | Black font
Red | Red font
Green | Green font
Blue | Blue font
Yellow | Yellow font
Magenta | Magenta font
Cyan | Cyan font
White | White font
BackBlack | Black background
BackRed | Red background
BackGreen | Green background
BackBlue | Blue background
BackYellow | Yellow background
BackMagenta | Magenta background
BackCyan | Cyan background
BackWhite | White background
Default | Default format